gss_inquire_cred(3)

NAME
gss_inquire_cred - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_inquire_cred(OM_uint32 * minor_status, const gss_cred_id_t cred_handle, gss_name_t * name, OM_uint32 * lifetime, gss_cred_usage_t * cred_usage, gss_OID_set * mechanisms);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

const gss_cred_id_t cred_handle
    (gss_cred_id_t, read) A handle that refers to the
      target credential. Specify GSS_C_NO_CREDENTIAL to inquire about
      the default initiator principal.

gss_name_t * name
    (gss_name_t, modify, optional) The name whose identity the
      credential asserts. Storage associated with this name should be
      freed by the application after use with a call to
      gss_release_name(). Specify NULL if not required.

OM_uint32 * lifetime
    (Integer, modify, optional) The number of seconds for
      which the credential will remain valid. If the credential has
      expired, this parameter will be set to zero. If the
      implementation does not support credential expiration, the value
      GSS_C_INDEFINITE will be returned. Specify NULL if not required.

gss_cred_usage_t * cred_usage
    (gss_cred_usage_t, modify, optional) How the
      credential may be used. One of the following: GSS_C_INITIATE,
      GSS_C_ACCEPT, GSS_C_BOTH. Specify NULL if not required.

gss_OID_set * mechanisms
    (gss_OID_set, modify, optional) Set of mechanisms
      supported by the credential. Storage associated with this OID
      set must be freed by the application after use with a call to
      gss_release_oid_set(). Specify NULL if not required.

DESCRIPTION
Obtains information about a credential.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

`GSS_S_NO_CRED`: The referenced credentials could not be accessed.

`GSS_S_DEFECTIVE_CREDENTIAL`: The referenced credentials were invalid.

`GSS_S_CREDENTIALS_EXPIRED`: The referenced credentials have expired. If the lifetime parameter was not passed as NULL, it will be set to 0.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.